shishi_keys_from_keytab_file(3)

NAME
shishi_keys_from_keytab_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_keys_from_keytab_file(Shishi * handle, const char * filename, Shishi_keys ** outkeys);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * filename
    name of file to read.

Shishi_keys ** outkeys
    pointer to key set that will be allocated and populated, must be deallocated by caller on succes.

DESCRIPTION
Create a new key set populated with keys from a MIT keytab data structure read from a file.

The format of keytab's is proprietary, and this function support the 0x0501 and 0x0502 formats. See the section The MIT Kerberos Keytab Binary File Format in the Shishi manual for a description of the reverse-engineered format.

RETURNS
Returns SHISHI_IO_ERROR if the file cannot be read, SHISHI_KEYTAB_ERROR if the data cannot be parsed as a valid keytab structure, and SHISHI_OK on success.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.